lilypondtool introuvable

Bonjour à tous,

Je viens d'installer lilypond et jedit sur mon portable.
Bon...
j'ouvre jedit/plugins/plugin manager/install... et pas de lilypondtool dans
la liste quel que soit le miroir choisi.
C'est grave docteur ? 8-O

···

--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3509641.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

Il me semble que ce n'est pas trop grave. Pour Jedit, il faut prendre obligatoirement la version de développement 4.3 PRE17. Cette version est déjà plus stable que la dernière version stable.
@+,
Pascal

···

Le 25 août 09 à 15:10, legoss a écrit :

Bonjour à tous,

Je viens d'installer lilypond et jedit sur mon portable.
Bon...
j'ouvre jedit/plugins/plugin manager/install... et pas de lilypondtool dans
la liste quel que soit le miroir choisi.
C'est grave docteur ? 8-O

--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3509641.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

Bonjour

Curieux !
J'ai regardé hier soir dans le menu
(et je viens de vérifier le 250809 à 17h48)
jedit/plugins/plugin manager/install..
après avoir décoché LilyPondTool dans l'onglet manage,
la dernière version de LilyPondTool 2.12.879 est bien sur les serveurs
dans l'onglet Install!
Serveur Europe: SWITCH (Lausanne,Switzerland)

···

Je viens d'installer lilypond et jedit sur mon portable.
j'ouvre jedit/plugins/plugin manager/install... et pas de lilypondtool dans la liste quel que soit le miroir choisi.

--
Martial

'jour à tous.
J'ai suivi ces précieux conseils avec jedit_4.3pre17_all.deb (ben oui,
j'essaie ubuntu).
Mais toujours rien. Sniff... :frowning:

···

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3617608.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

Ma réponse presque une semaine plus tard...

legoss a écrit :

'jour à tous.
J'ai suivi ces précieux conseils avec jedit_4.3pre17_all.deb (ben oui,
j'essaie ubuntu).
Mais toujours rien. Sniff... :frowning:

LilyPondTool est bien présent dans jedit 4.3pre17 sous Ubuntu chez moi.
Peut-être avais-tu déjà installé LilyPondTool (dans ce cas il n'est plus dans l'onglet "Install" mais "Manage").

Enfin je suppose que c'est résolu...
Bien à vous tous,

Xavier

Xavier Scheuer wrote:

Peut-être avais-tu déjà installé LilyPondTool (dans ce cas il n'est plus
dans l'onglet "Install" mais "Manage").

Ben non... Je n'y comprends rien. J'ai souvent installé Lilypond et jEdit
après restauration du système, ça ne m'était jamais arrivé. Là, que ce soit
sous vista ou sous Ubuntu, lors d'une première installation, la ligne
LilyPondTool dans jEdit est absente.
Je vais faire un autre essai avec une uSbuntu, sur laquelle LilyPondTool ne
sera pas encore installé.
Pour l'instant potage donc...

Pour ceux que cela intéresse :
http://www.slym.fr/?p=113

···

--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3654197.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

legoss a écrit :

Ben non... Je n'y comprends rien. J'ai souvent installé Lilypond et jEdit
après restauration du système, ça ne m'était jamais arrivé. Là, que ce soit
sous vista ou sous Ubuntu, lors d'une première installation, la ligne
LilyPondTool dans jEdit est absente.

Euh...
Quand tu dis "la ligne LilyPondTool dans jEdit est absente", tu veux dire que la "barre d'outils" LilyPondTool est absente ?
"lors d'une première utilisation", tu veux dire lorsque tu ouvres jEdit seul (i.e. pas ouvrir un fichier .ly avec jEdit) ?

Si oui, c'est normal, c'est pareil chez moi aussi (sous Win XP et Ubuntu).
Il faut ouvrir un fichier .ly ou, dans jEdit, enregistrer ton fichier avec l'extension .ly pour que la barre d'outils LilyPondTool apparaisse.

Sinon je suppose quand même que LilyPondTool doit quand même être présent dans le menu "Plugins", dans "Plugin Manager" "Install", "Manage" ou "Update"...

Ou alors j'ai rien compris à ton problème. :-p

Xavier

Xavier Scheuer wrote:

Ou alors j'ai rien compris à ton problème. :-p

Bon, si tu n'as pas compris, c'est sûrement que j'ai mal expliqué. Voilà
comment je procède d'habitude pour créer de belles partitions avec Lilypond.
(NB : je ne fais les installations et les réglages qu'une seule fois ! Je
tourne en rond, mais faut pas pousser... :drunk:)
1 - téléchargement et installation de Lilypond (pas bien compliqué)
2 - téléchargement et installation de jEdit (pas la mer à boire...
heureusement !).
3 - ouverture de jEdit et installation de LilyponTool sans aucun problème,
et quelle que soit la version de jEdit utilisée dans Plugins\Plugin
manager\Install\LilypondTool\Install.
4 - réglages des options des plugins
5 - plugins\LilypondTool\Partition\Assistant de création de partition
6 - Ecriture de la partion, et génération du pdf qui va bien.

J'ai toujours fait comme ça et c'est la 1ère fois que jEdit ne me donne pas
LilyponTool dans Plugins\Plugin manager\Install\LilypondTool\Install. Est-ce
que la procédure n'est pas la bonne ? Est-ce Alzheimer qui guette ? Suis-je
un extra-terrestre ? Ou bien jEdit qui fait des siennes ? :confused:

En espérant avoir été plus clair...
Merrrci ben

···

--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3667870.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

legoss a écrit :

Xavier Scheuer wrote:
  

Ou alors j'ai rien compris à ton problème. :-p

Bon, si tu n'as pas compris, c'est sûrement que j'ai mal expliqué. Voilà
comment je procède d'habitude pour créer de belles partitions avec Lilypond.
(NB : je ne fais les installations et les réglages qu'une seule fois ! Je
tourne en rond, mais faut pas pousser... :drunk:)
1 - téléchargement et installation de Lilypond (pas bien compliqué)
  

.........................................................................

J'ai toujours fait comme ça et c'est la 1ère fois que jEdit ne me donne pas
LilyponTool dans Plugins\Plugin manager\Install\LilypondTool\Install. Est-ce
que la procédure n'est pas la bonne ? Est-ce Alzheimer qui guette ? Suis-je
un extra-terrestre ? Ou bien jEdit qui fait des siennes ? :confused:

En espérant avoir été plus clair...
Merrrci ben
  

Lors de ma dernière installation sur Vista, il faut charger un fichier lilypond ou en créer un pour voir apparaitre les menus Lilypondtool.

Bonjour,
Si Lilypond n'est pas dans la liste, je vois deux raisons possibles :
1) lilypond est déjà installé et il est sous l'onglet "manage"
2) la liste des serveurs n'est pas à jour -> bouton "Download options..." ensuite bouton "Update mirror list". choisir par exemple Lausanne

A tout hasard, s'il y a une erreur d'exécution, on peut récupérer une trace Java (sur Mac c'est dans /Applications/Utilitaire/Console). Elle peut aider à comprendre.

Enfin, en dernier ressort, on peut effacer (ou renommer) le dossier jEdit (sur Mac c'est dans le dossier Bibliothèque) et refaire une install propre. Il est possible que ça vienne d'une librairie plus très compatible avec la dernière version de jEdit.

Bon courage,
Pascal

···

Le 18 sept. 09 à 08:49, legoss a écrit :

Xavier Scheuer wrote:

Ou alors j'ai rien compris à ton problème. :-p

Bon, si tu n'as pas compris, c'est sûrement que j'ai mal expliqué. Voilà
comment je procède d'habitude pour créer de belles partitions avec Lilypond.
(NB : je ne fais les installations et les réglages qu'une seule fois ! Je
tourne en rond, mais faut pas pousser... :drunk:)
1 - téléchargement et installation de Lilypond (pas bien compliqué)
2 - téléchargement et installation de jEdit (pas la mer à boire...
heureusement !).
3 - ouverture de jEdit et installation de LilyponTool sans aucun problème,
et quelle que soit la version de jEdit utilisée dans Plugins\Plugin
manager\Install\LilypondTool\Install.
4 - réglages des options des plugins
5 - plugins\LilypondTool\Partition\Assistant de création de partition
6 - Ecriture de la partion, et génération du pdf qui va bien.

J'ai toujours fait comme ça et c'est la 1ère fois que jEdit ne me donne pas
LilyponTool dans Plugins\Plugin manager\Install\LilypondTool\Install. Est-ce
que la procédure n'est pas la bonne ? Est-ce Alzheimer qui guette ? Suis-je
un extra-terrestre ? Ou bien jEdit qui fait des siennes ? :confused:

En espérant avoir été plus clair...
Merrrci ben
--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3667870.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

la_poste wrote:

Lors de ma dernière installation sur Vista, il faut charger un fichier
lilypond ou en créer un pour voir apparaitre les menus Lilypondtool.

Bon. J'ai tout désinstallé, tout réinstallé. Créé un fichier *.ly... aucun
menu Lilypondtool à l'horizon.
Peut-être une subtilité que je n'ai pas saisie...

Pascal Legris-2 wrote:

1) lilypond est déjà installé et il est sous l'onglet "manage"
2) la liste des serveurs n'est pas à jour -> bouton "Download
options..." ensuite bouton "Update mirror list". choisir par exemple
Lausanne

1) Lilypond est installé mais lilypondtool n'apparaît pas sous "manage"
2) J'ai fait tous les miroirs présents, rien non plus...

Quelqu'un a-t-il essayé de virer lilypondtool et de le réinstaller pour voir
s'il était toujours présent dans un des miroirs ?

En tout cas merci pour votre aide !

···

--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3670586.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

Je viens de m'apercevoir que Philippe à aussi un problème avec lilypondtool,
mais sous Mac cette fois, ici :
http://n2.nabble.com/Impossible-lancer-jar-dans-jEdit-plugin-Lilypond-td3651974.html#a3651974
Ne serait-ce pas le même problème ?

···

--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3670621.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

Bon, j'ai enlevé les fichiers LilyPondTool.jar et LilyJHelp.jar du dossier jEdit/jar et LilyPondTool apparaît sous l'onglet install. Je peux alors le réinstaller (je suis sur le serveur de Lausanne).
Il s'agit peut-être d'un problème de version java. Peux-tu taper la commande sur le terminal :
java -version

sur ma machine, j'obtiens :
java version "1.6.0_15"
Java(TM) SE Runtime Environment (build 1.6.0_15-b03-226)
Java HotSpot(TM) 64-Bit Server VM (build 14.1-b02-92, mixed mode)

J'ai fait un essai rapide avec une version 5. Ça a toujours l'air de marcher, mais ça ne veut rien dire, il est toujours possible de forcer une version de java lorsqu'il y en a plusieurs d'installées, ce qui est mon cas.
Je suis allé faire un petit tour dans les fichier de lilypondTool (le format .jar et identique au .zip, il suffit de renommer le fichier pour voir le contenu). Il apparaît que c'est généré avec une version 1.5 de Java (ou java5). Il n'y a pas beaucoup de différences avec la version 1.6, mais on ne sait jamais.

@+,
Pascal

···

Le 18 sept. 09 à 17:34, legoss a écrit :

la_poste wrote:

Lors de ma dernière installation sur Vista, il faut charger un fichier
lilypond ou en créer un pour voir apparaitre les menus Lilypondtool.

Bon. J'ai tout désinstallé, tout réinstallé. Créé un fichier *.ly... aucun
menu Lilypondtool à l'horizon.
Peut-être une subtilité que je n'ai pas saisie...

Pascal Legris-2 wrote:

1) lilypond est déjà installé et il est sous l'onglet "manage"
2) la liste des serveurs n'est pas à jour -> bouton "Download
options..." ensuite bouton "Update mirror list". choisir par exemple
Lausanne

1) Lilypond est installé mais lilypondtool n'apparaît pas sous "manage"
2) J'ai fait tous les miroirs présents, rien non plus...

Quelqu'un a-t-il essayé de virer lilypondtool et de le réinstaller pour voir
s'il était toujours présent dans un des miroirs ?

En tout cas merci pour votre aide !

--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3670586.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

voici le résulat :

java version "1.6.0_16"
Java(TM) SE Runtime Environment (build 1.6.0_16-b01)
Java HotSpot(TM) Client VM (build 14.2-b01, mixed mode, sharing)

Qu'est-ce que tu me conseilles ?

···

--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3671501.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

Sur le site de LilypondTool ( http://lilypondtool.organum.hu/86.html ), il demande la version Java Runtime 5 (JRE5). On peut la télécharger sur
http://java.sun.com/javase/downloads/index_jdk5.jsp (Java Runtime Environment (JRE) 5.0 Update 21)

En principe, plusieurs versions de java peuvent cohabiter (en tout cas, c'est comme ça sur mon Mac).
@+,
Pascal

···

Le 18 sept. 09 à 20:34, legoss a écrit :

voici le résulat :

java version "1.6.0_16"
Java(TM) SE Runtime Environment (build 1.6.0_16-b01)
Java HotSpot(TM) Client VM (build 14.2-b01, mixed mode, sharing)

Qu'est-ce que tu me conseilles ?
--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3671501.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

Pascal Legris a écrit :

Sur le site de LilypondTool ( http://lilypondtool.organum.hu/86.html ), il demande la version Java Runtime 5 (JRE5). On peut la télécharger sur
http://java.sun.com/javase/downloads/index_jdk5.jsp (Java Runtime Environment (JRE) 5.0 Update 21)

J'ai exactement la même chose que legoss pour la version de Java mais je n'ai aucun problème avec LilyPondTool.

legoss a écrit :
> Quelqu'un a-t-il essayé de virer lilypondtool et de le réinstaller pour voir
> s'il était toujours présent dans un des miroirs ?

Je viens de supprimer et réinstaller LilyPondTool plusieurs fois et il était toujours présent dans les miroirs (j'en ai essayé 4-5).

Tu as un fichier LilyPondTool.jar dans /home/legoss/.jedit/jars/LilyPondTool.jar ?
Sinon j'essayerais la réinstallation propre (en supprimant les fichiers de configuration) de jEdit, puis de LilyPondTool, comme proposé par Pascal.

> Je viens de m'apercevoir que Philippe à aussi un problème avec
> lilypondtool, mais sous Mac cette fois, ici :
> http://n2.nabble.com/Impossible-lancer-jar-dans-jEdit-plugin-Lilypond-td3651974.html#a3651974
> Ne serait-ce pas le même problème ?

Non, c'était différent.
1. Il n'avait pas installé LilyPond.
2. Le chemin de lilypond dans les options de LilyPondTool était incorrect.
C'est réglé à présent pour lui.

Bonne continuation,

Xavier

J'en suis là :

Installation de Lilypond 2.12.2
Installation de jedit4.3pre16install (je ne peux ps ouvrir la
jedit4.3pre17install.
Version de java :

java version "1.6.0_16"
Java(TM) SE Runtime Environment (build 1.6.0_16-b01)
Java HotSpot(TM) Client VM (build 14.2-b01, mixed mode, sharing)

Version compatible selon ceci :
http://www.jedit.org/index.php?page=compatibility#win

Toujours pas de LilypondTool en vue...
'devient pénible tout ça...

···

--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3675260.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

Toujours pas de LilypondTool en vue...
'devient pénible tout ça...

J'imagine, et compati
deux propositions

1) Essaye la version précédente de lilyPondTool
en installation manuel http://tinyurl.com/kuz5z4

dés fois qu'il y'ai un bug dans la dernière version !

2) vire tout, jEdit, LilyPondTool y compris java et réinstalle.
( chez moi sous XP j'ai la java 1.6.0_16 et ça fonctionne )

Bon courage

···

--
Martial

Martial-2 wrote:

1) Essaye la version précédente de lilyPondTool
en installation manuel http://tinyurl.com/kuz5z4

Cette solution ne fonctionne pas.
J'essaie la suivante...

···

--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3683890.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

Martial-2 wrote:

2) vire tout, jEdit, LilyPondTool y compris java et réinstalle.
( chez moi sous XP j'ai la java 1.6.0_16 et ça fonctionne )

ça fonctionne ! :drunk:
voici ce que j'ai fait sous Vista (dans l'ordre) :
1 - désinstallation de java, lilypond et jEdit ;
2 - redémarrage ;
3 - Installation de la dernière version de java ;
4 - Installation de Lilypond 2.12.2-1 ;
5 - Installation de jEdit 4.3pre17
6 - Ouverture sans problème de jEdit... plugin manager... install et
LilypondTool apparaît !
7 - Installation au poil. :clap:

Pour l'instant, ça fonctionne !
Cependant, je ne comprends toujours pas pourquoi ça plantait avant...

Merci pour ton aide ! :handshake:

@+

···

--
View this message in context: http://n2.nabble.com/lilypondtool-introuvable-tp3509641p3684064.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.